#pragma once
#include "../pteidlib/pteidlib.h"

using namespace System;

namespace eidpt 
{	
    // class mimicking PTEID_ID
    public ref class PteidId
    {
    public: 
        PteidId(const PTEID_ID& i);

        short   version;
        String^ deliveryEntity;
        String^ country;
        String^ documentType;
        String^ cardNumber;
        String^ cardNumberPAN;
        String^ cardVersion;
        String^ deliveryDate;
        String^ locale;
        String^ validityDate;
        String^ name;
        String^ firstname;
        String^ sex;
        String^ nationality;
        String^ birthDate;
        String^ height;
        String^ numBI;
        String^ nameFather;
        String^ firstnameFather;
        String^ nameMother;
        String^ firstnameMother;
        String^ numNIF;
        String^ numSS;
        String^ numSNS;
        String^ notes;
        String^ mrz1;
        String^ mrz2;
        String^ mrz3;
    };
}